DoorLockTrait.GetCredentialStatusCommand.Response

class DoorLockTrait.GetCredentialStatusCommand.Response : ClusterStruct


Returns the status for the specified credential.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(
    credentialExists: Boolean,
    userIndex: UShort?,
    creatorFabricIndex: UByte?,
    lastModifiedFabricIndex: UByte?,
    nextCredentialIndex: UShort?,
    credentialData: ByteArray?
)

Creates a response payload from the GetCredentialStatus command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

UByte?

The credential's creator fabric index.

ByteArray?
Boolean

A boolean value indicating the requested credential type and index exists and is populated for a given user index.

UByte?

The credential's last modifier fabric index.

UShort?

The next occupied index in the database for the credential type requested, which is useful for quickly identifying occupied credential slots in the database.

UShort?

The credential's corresponding user index value if the credential exists.

Public constructors

Response

Response(
    credentialExists: Boolean = false,
    userIndex: UShort? = null,
    creatorFabricIndex: UByte? = null,
    lastModifiedFabricIndex: UByte? = null,
    nextCredentialIndex: UShort? = null,
    credentialData: ByteArray? = null
)

Creates a response payload from the GetCredentialStatus command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

creatorFabricIndex

val creatorFabricIndex: UByte?

The credential's creator fabric index.

credentialData

val credentialData: ByteArray?

credentialExists

val credentialExists: Boolean

A boolean value indicating the requested credential type and index exists and is populated for a given user index.

lastModifiedFabricIndex

val lastModifiedFabricIndex: UByte?

The credential's last modifier fabric index.

nextCredentialIndex

val nextCredentialIndex: UShort?

The next occupied index in the database for the credential type requested, which is useful for quickly identifying occupied credential slots in the database.

userIndex

val userIndex: UShort?

The credential's corresponding user index value if the credential exists.